Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface ExtendedDataElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  ExtendedDataElementImpl

public interface ExtendedDataElement
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Extended Data Element'.

The ExtendedDataElement allows for application-supplied name-type-value collections to be specified for extensibility purposes. This is the mechanism by which other attributes not specified in the CommonBaseEvent data model can be added. Collections specified here are assumed to be product specific data.

The named properties can be filtered, searched or referenced by the correlation rules. The name is user defined, however, the nonexclusive reserved keywords are as follows:

- RawData - This keyword is indicative of "as is" data that is meaningful only to the producer of the data (typically proprietary data). It may be in any form, including binary. It is intended to allow the data to be retrieved verbatim and to support tools that understand the format of the context.
- RootHeader - This keyword is intended to identify the root ExtendedDataElement for a hierarchy of ExtendedDataElements that are defined by dataRefs.
- LoggingLevel - This keyword is intended to specify the level of logging represeted as an integer. Higher numbers must include all the granularity of lower numbers.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio, Andrea Chiavegatto
See Also:
  `

  The following features are supported:

  - {@link org.eclipse.hyades.logging.events.cbe.ExtendedDataElement#getHexValue Hex Value}
  - {@link org.eclipse.hyades.logging.events.cbe.ExtendedDataElement#getName Name}
  - {@link org.eclipse.hyades.logging.events.cbe.ExtendedDataElement#getType Type}
  - {@link org.eclipse.hyades.logging.events.cbe.ExtendedDataElement#getValues Values}
  - {@link org.eclipse.hyades.logging.events.cbe.ExtendedDataElement#getChildren Children}
  ` , `EventPackage.getExtendedDataElement()`

Field Summary
`static java.lang.String` | `TYPE_BOOLEAN` Indicates a boolean value for the extended data element.
`static java.lang.String` | `TYPE_BOOLEAN_ARRAY` Indicates an array of boolean values for the extended data element.
`static int` | `TYPE_BOOLEAN_ARRAY_VALUE` Indicates an array of boolean values for the extended data element.
`static int` | `TYPE_BOOLEAN_VALUE` Indicates a boolean value for the extended data element.
`static java.lang.String` | `TYPE_BYTE` Indicates a byte value for the extended data element.
`static java.lang.String` | `TYPE_BYTE_ARRAY` Indicates an array of byte values for the extended data element.
`static int` | `TYPE_BYTE_ARRAY_VALUE` Indicates an array of byte values for the extended data element.
`static int` | `TYPE_BYTE_VALUE` Indicates a byte value for the extended data element.
`static java.lang.String` | `TYPE_DATE_TIME` Indicates a date time value for the extended data element.
`static java.lang.String` | `TYPE_DATE_TIME_ARRAY` Indicates an array of date time values for the extended data element.
`static int` | `TYPE_DATE_TIME_ARRAY_VALUE` Indicates an array of date time values for the extended data element.
`static int` | `TYPE_DATE_TIME_VALUE` Indicates a date time value for the extended data element.
`static java.lang.String` | `TYPE_DOUBLE` Indicates a double value for the extended data element.
`static java.lang.String` | `TYPE_DOUBLE_ARRAY` Indicates an array of double values for the extended data element.
`static int` | `TYPE_DOUBLE_ARRAY_VALUE` Indicates an array of double values for the extended data element.
`static int` | `TYPE_DOUBLE_VALUE` Indicates a double value for the extended data element.
`static java.lang.String` | `TYPE_FLOAT` Indicates a float value for the extended data element.
`static java.lang.String` | `TYPE_FLOAT_ARRAY` Indicates an array of float values for the extended data element.
`static int` | `TYPE_FLOAT_ARRAY_VALUE` Indicates an array of float values for the extended data element.
`static int` | `TYPE_FLOAT_VALUE` Indicates a float value for the extended data element.
`static java.lang.String` | `TYPE_HEX_BINARY` Indicates an hex binary value for the extended data element.
`static int` | `TYPE_HEX_BINARY_VALUE` Indicates an hex binary value for the extended data element.
`static java.lang.String` | `TYPE_INT` Indicates an integer value for the extended data element.
`static java.lang.String` | `TYPE_INT_ARRAY` Indicates an array of integer values for the extended data element.
`static int` | `TYPE_INT_ARRAY_VALUE` Indicates an array of integer values for the extended data element.
`static int` | `TYPE_INT_VALUE` Indicates an integer value for the extended data element.
`static java.lang.String` | `TYPE_LONG` Indicates a long value for the extended data element.
`static java.lang.String` | `TYPE_LONG_ARRAY` Indicates an array of long values for the extended data element.
`static int` | `TYPE_LONG_ARRAY_VALUE` Indicates an array of long values for the extended data element.
`static int` | `TYPE_LONG_VALUE` Indicates a long value for the extended data element.
`static java.lang.String` | `TYPE_NO_VALUE` Indicates that type for an extended data element that does not have a value.
`static int` | `TYPE_NO_VALUE_VALUE` Indicates that type for an extended data element that does not have a value.
`static java.lang.String` | `TYPE_SHORT` Indicates a short value for the extended data element.
`static java.lang.String` | `TYPE_SHORT_ARRAY` Indicates an array of short values for the extended data element.
`static int` | `TYPE_SHORT_ARRAY_VALUE` Indicates an array of short values for the extended data element.
`static int` | `TYPE_SHORT_VALUE` Indicates a short value for the extended data element.
`static java.lang.String` | `TYPE_STRING` Indicates a string value for the extended data element.
`static java.lang.String` | `TYPE_STRING_ARRAY` Indicates an array of string values for the extended data element.
`static int` | `TYPE_STRING_ARRAY_VALUE` Indicates an array of string values for the extended data element.
`static int` | `TYPE_STRING_VALUE` Indicates a string value for the extended data element.

Method Summary
`ExtendedDataElement` | `addChild(ExtendedDataElement child)` Adds a new child `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String name)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String name, int type, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String name, int type, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String name, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithBooleanArrayValue(java.lang.String name, boolean[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithBooleanValue(java.lang.String name, boolean value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithByteArrayValue(java.lang.String name, byte[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithByteValue(java.lang.String name, byte value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDateAsLongValue(java.lang.String name, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDatesAsLongValue(java.lang.String name, long[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDateValue(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDoubleArrayValue(java.lang.String name, double[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDoubleValue(java.lang.String name, double value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithFloatArrayValue(java.lang.String name, float[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithFloatValue(java.lang.String name, float value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithHexValue(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithHexValueAsByteArray(java.lang.String name, byte[] value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithIntArrayValue(java.lang.String name, int[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithIntValue(java.lang.String name, int value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithLongArrayValue(java.lang.String name, long[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithLongValue(java.lang.String name, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithShortArrayValue(java.lang.String name, short[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithShortValue(java.lang.String name, short value)` Adds a new `ExtendedDataElement` to this object.
`void` | `clearChildren()` Removes all child ExtenedDataElements that this event is referencing
`void` | `clearValues()` Removes all values that this event is referencing
`org.eclipse.emf.common.util.EList` | `getChildren()` Returns the value of the 'Children' containment reference list.
`org.eclipse.emf.common.util.EList` | `getChildren(java.lang.String name)` Helper method to return a named child `ExtendedDataElement` from the list of children `ExtendedDataElement`s.
`java.lang.String` | `getHexValue()` Returns the value of the 'Hex Value' attribute.
`byte[]` | `getHexValueAsByteArray()` Returns the hexValue of the extended data element cast as byte array values.
`char[]` | `getHexValueAsCharArray()` Returns the hexValue of the extended data element cast as char array values.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` | `getType()` Returns the value of the 'Type' attribute.
`int` | `getTypeAsInt()` Returns the value of the 'Type' attribute.
`org.eclipse.emf.common.util.EList` | `getValues()` Returns the value of the 'Values' attribute list.
`boolean` | `getValuesAsBoolean()` Returns the value of the extended data element cast as a boolean value.
`boolean[]` | `getValuesAsBooleanArray()` Returns the values of the extended data element cast as boolean values.
`byte` | `getValuesAsByte()` Returns the value of the extended data element cast as a byte value.
`byte[]` | `getValuesAsByteArray()` Returns the values of the extended data element cast as byte values.
`java.lang.String` | `getValuesAsDate()` Returns the value of the extended data element cast as a date/time value.
`java.lang.String[]` | `getValuesAsDateArray()` Returns the value of the extended data element cast as a date/time values.
`long` | `getValuesAsDateAsLong()` Returns the value of the extended data element cast as a date/time value.
`long[]` | `getValuesAsDateAsLongArray()` Returns the values of the extended data element cast as date/time values.
`double` | `getValuesAsDouble()` Returns the value of the extended data element cast as a double value.
`double[]` | `getValuesAsDoubleArray()` Returns the values of the extended data element cast as double values.
`float` | `getValuesAsFloat()` Returns the value of the extended data element cast as a float value.
`float[]` | `getValuesAsFloatArray()` Returns the values of the extended data element cast as float values.
`int` | `getValuesAsInt()` Returns the value of the extended data element cast as an integer value.
`int[]` | `getValuesAsIntArray()` Returns the values of the extended data element cast as integer values.
`long` | `getValuesAsLong()` Returns the value of the extended data element cast as a long value.
`long[]` | `getValuesAsLongArray()` Returns the values of the extended data element cast as long values.
`short` | `getValuesAsShort()` Returns the value of the extended data element cast as a short value.
`short[]` | `getValuesAsShortArray()` Returns the values of the extended data element cast as short values.
`java.lang.String` | `getValuesAsString()` Returns the value of the extended data element cast as a string value.
`java.lang.String[]` | `getValuesAsStringArray()` Returns the values of the extended data element cast as string values.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `removeChildren(java.lang.String name)` Remove a named child extended data element that this event is referencing
`void` | `setHexValue(java.lang.String value)` Sets the value of the '`Hex Value`' attribute.
`void` | `setHexValueAsByteArray(byte[] value)` Sets the hexValue of the extended data element as an array of bytes.
`void` | `setHexValueAsCharArray(char[] value)` Sets the hexValue of the extended data element as an array of chars.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute.
`void` | `setTypeAsInt(int value)` Sets the value of the '`Type`' attribute.
`void` | `setValues(java.lang.String[] values)` The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.
`void` | `setValuesAsBoolean(boolean value)` Sets the value of the extended data element as a boolean value.
`void` | `setValuesAsBooleanArray(boolean[] value)` Sets the value of the extended data element as an array of boolean values.
`void` | `setValuesAsByte(byte value)` Sets the value of the extended data element as a byte value.
`void` | `setValuesAsByteArray(byte[] value)` Sets the value of the extended data element as an array of bytes.
`void` | `setValuesAsDate(java.lang.String value)` Sets the value of the extended data element as a date time value.
`void` | `setValuesAsDateArray(java.lang.String[] value)` Sets the value of the extended data element as an array of date time values.
`void` | `setValuesAsDateAsLong(long value)` Sets the value of the extended data element as a date/time value.
`void` | `setValuesAsDateAsLongArray(long[] values)` Sets the value of the extended data element as an array of date/time values.
`void` | `setValuesAsDouble(double value)` Sets the value of the extended data element as a double value.
`void` | `setValuesAsDoubleArray(double[] value)` Sets the value of the extended data element as an array of double values.
`void` | `setValuesAsFloat(float value)` Sets the value of the extended data element as a float value.
`void` | `setValuesAsFloatArray(float[] value)` Sets the value of the extended data element as an array of float values.
`void` | `setValuesAsInt(int value)` Sets the value of the extended data element as a int value.
`void` | `setValuesAsIntArray(int[] value)` Sets the value of the extended data element as an array of integer values.
`void` | `setValuesAsLong(long value)` Sets the value of the extended data element as a long value.
`void` | `setValuesAsLongArray(long[] value)` Sets the value of the extended data element as an array of long values.
`void` | `setValuesAsShort(short value)` Sets the value of the extended data element as a short value.
`void` | `setValuesAsShortArray(short[] value)` Sets the value of the extended data element as an array of short values.
`void` | `setValuesAsString(java.lang.String value)` Sets the value of the extended data element as a string value.
`void` | `setValuesAsStringArray(java.lang.String[] value)` Sets the value of the extended data element as an array of string values.
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### TYPE_NO_VALUE

    public static final java.lang.String TYPE_NO_VALUE

  Indicates that type for an extended data element that does not have a value.

  See Also:
    `getType()`, Constant Field Values

### TYPE_NO_VALUE_VALUE

    public static final int TYPE_NO_VALUE_VALUE

  Indicates that type for an extended data element that does not have a value.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BYTE

    public static final java.lang.String TYPE_BYTE

  Indicates a byte value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BYTE_VALUE

    public static final int TYPE_BYTE_VALUE

  Indicates a byte value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_SHORT

    public static final java.lang.String TYPE_SHORT

  Indicates a short value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_SHORT_VALUE

    public static final int TYPE_SHORT_VALUE

  Indicates a short value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_INT

    public static final java.lang.String TYPE_INT

  Indicates an integer value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_INT_VALUE

    public static final int TYPE_INT_VALUE

  Indicates an integer value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_LONG

    public static final java.lang.String TYPE_LONG

  Indicates a long value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_LONG_VALUE

    public static final int TYPE_LONG_VALUE

  Indicates a long value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_FLOAT

    public static final java.lang.String TYPE_FLOAT

  Indicates a float value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_FLOAT_VALUE

    public static final int TYPE_FLOAT_VALUE

  Indicates a float value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DOUBLE

    public static final java.lang.String TYPE_DOUBLE

  Indicates a double value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DOUBLE_VALUE

    public static final int TYPE_DOUBLE_VALUE

  Indicates a double value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_STRING

    public static final java.lang.String TYPE_STRING

  Indicates a string value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_STRING_VALUE

    public static final int TYPE_STRING_VALUE

  Indicates a string value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DATE_TIME

    public static final java.lang.String TYPE_DATE_TIME

  Indicates a date time value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DATE_TIME_VALUE

    public static final int TYPE_DATE_TIME_VALUE

  Indicates a date time value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BOOLEAN

    public static final java.lang.String TYPE_BOOLEAN

  Indicates a boolean value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BOOLEAN_VALUE

    public static final int TYPE_BOOLEAN_VALUE

  Indicates a boolean value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BYTE_ARRAY

    public static final java.lang.String TYPE_BYTE_ARRAY

  Indicates an array of byte values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BYTE_ARRAY_VALUE

    public static final int TYPE_BYTE_ARRAY_VALUE

  Indicates an array of byte values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_SHORT_ARRAY

    public static final java.lang.String TYPE_SHORT_ARRAY

  Indicates an array of short values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_SHORT_ARRAY_VALUE

    public static final int TYPE_SHORT_ARRAY_VALUE

  Indicates an array of short values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_INT_ARRAY

    public static final java.lang.String TYPE_INT_ARRAY

  Indicates an array of integer values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_INT_ARRAY_VALUE

    public static final int TYPE_INT_ARRAY_VALUE

  Indicates an array of integer values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_LONG_ARRAY

    public static final java.lang.String TYPE_LONG_ARRAY

  Indicates an array of long values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_LONG_ARRAY_VALUE

    public static final int TYPE_LONG_ARRAY_VALUE

  Indicates an array of long values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_FLOAT_ARRAY

    public static final java.lang.String TYPE_FLOAT_ARRAY

  Indicates an array of float values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_FLOAT_ARRAY_VALUE

    public static final int TYPE_FLOAT_ARRAY_VALUE

  Indicates an array of float values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DOUBLE_ARRAY

    public static final java.lang.String TYPE_DOUBLE_ARRAY

  Indicates an array of double values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DOUBLE_ARRAY_VALUE

    public static final int TYPE_DOUBLE_ARRAY_VALUE

  Indicates an array of double values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_STRING_ARRAY

    public static final java.lang.String TYPE_STRING_ARRAY

  Indicates an array of string values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_STRING_ARRAY_VALUE

    public static final int TYPE_STRING_ARRAY_VALUE

  Indicates an array of string values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DATE_TIME_ARRAY

    public static final java.lang.String TYPE_DATE_TIME_ARRAY

  Indicates an array of date time values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_DATE_TIME_ARRAY_VALUE

    public static final int TYPE_DATE_TIME_ARRAY_VALUE

  Indicates an array of date time values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BOOLEAN_ARRAY

    public static final java.lang.String TYPE_BOOLEAN_ARRAY

  Indicates an array of boolean values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_BOOLEAN_ARRAY_VALUE

    public static final int TYPE_BOOLEAN_ARRAY_VALUE

  Indicates an array of boolean values for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_HEX_BINARY

    public static final java.lang.String TYPE_HEX_BINARY

  Indicates an hex binary value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

### TYPE_HEX_BINARY_VALUE

    public static final int TYPE_HEX_BINARY_VALUE

  Indicates an hex binary value for the extended data element.

  See Also:
    `getType()`, Constant Field Values

Method Detail

### getChildren

    public org.eclipse.emf.common.util.EList getChildren(java.lang.String name)

  Helper method to return a named child `ExtendedDataElement` from the list of children `ExtendedDataElement`s.

  Parameters:
    `name` - the name of the child `ExtendedDataElement`
  Returns:
    a list of `ExtendedDataElement` objects.

### getChildren

    public org.eclipse.emf.common.util.EList getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `ExtendedDataElement`.

  Contains other extendedDataElements to specify a structured list of extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an optional property.

  Important: This method is automatically generated and returns an `EList`, which inherits from ``List``

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `EventPackage.getExtendedDataElement_Children()`

### setHexValue

    public void setHexValue(java.lang.String value)

  Sets the value of the '`Hex Value`' attribute.

  The hexValue is an array of characters that holds the data for any other data type or complexType not in the supported types described above. The hexValue and the values properties are mutually exclusive. Only one of these properties shall be defined. This is an optional property.

  The value is represented according to the XML schema hexBinary definition.

  Parameters:
    `value` - the new value of the 'Hex Value' attribute.
  See Also:
    `getHexValue()`

### getHexValue

    public java.lang.String getHexValue()

  Returns the value of the 'Hex Value' attribute.

  The value is represented according to the XML schema hexBinary definition.

  Returns:
    the value of the 'Hex Value' attribute.
  See Also:
    `setHexValue(String)`, `EventPackage.getExtendedDataElement_HexValue()`

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  The name of the extended data element. This name must be unique with respect to all other fields at the same level of extendedDataElement hierarchy, however, there may exist a child with the same name at different level or hierarchy.

  This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `EventPackage.getExtendedDataElement_Name()`

### setType

    public void setType(java.lang.String value)

  Sets the value of the '`Type`' attribute.

  The data type of the values specified in the values property.

  Valid types are as follows:

  - byte, short, int, long, float, double
  - string
  - dateTime
  - byteArray, shortArray, intArray, longArray, floatArray, doubleArray
  - stringArray
  - dateTimeArray
  - hexBinary
  - boolean, booleanArray
  - noValue
  These are the only valid data types for the ExtendedDataElement type.

  The default value is "string". This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

### getType

    public java.lang.String getType()

  Returns the value of the 'Type' attribute.

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(String)`, `EventPackage.getExtendedDataElement_Type()`

### setTypeAsInt

    public void setTypeAsInt(int value)

  Sets the value of the '`Type`' attribute.

  The value must be one of the `ExtendedDataElement.TYPE_<type>_VALUE` constants.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`, `getTypeAsInt()`

### getTypeAsInt

    public int getTypeAsInt()

  Returns the value of the 'Type' attribute.

  The value is represented through one of the `ExtendedDataElement.TYPE_<type>_VALUE` constants.

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(String)`, `setTypeAsInt(int)`, `EventPackage.getExtendedDataElement_Type()`

### clearValues

    public void clearValues()

  Removes all values that this event is referencing

### getValues

    public org.eclipse.emf.common.util.EList getValues()

  Returns the value of the 'Values' attribute list. The list contents are of type `String`.

  The array of values for this extended data element represented as a string of the specified type, excluding hexBinary. hexBinary values must be defined using the hexValue property.

  The hexValue and the values properties are mutually exclusive. Only one of these properties shall be defined. This is an optional property. The string length for a value must not exceed 1024 characters.

  Important: This method is automatically generated and returns an `EList`, which inherits from ``List``

  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `EventPackage.getExtendedDataElement_Values()`

### setValues

    public void setValues(java.lang.String[] values)

  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a hexBinary data type.

### setValuesAsByte

    public void setValuesAsByte(byte value)

  Sets the value of the extended data element as a byte value.

  It also changes the 'Type' attribute to `TYPE_BYTE`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsByteArray

    public void setValuesAsByteArray(byte[] value)

  Sets the value of the extended data element as an array of bytes.

  It also changes the 'Type' attribute to `TYPE_BYTE_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsByte

    public byte getValuesAsByte()

  Returns the value of the extended data element cast as a byte value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_BYTE`.

### getValuesAsByteArray

    public byte[] getValuesAsByteArray()

  Returns the values of the extended data element cast as byte values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_BYTE_ARRAY`.

### setValuesAsBoolean

    public void setValuesAsBoolean(boolean value)

  Sets the value of the extended data element as a boolean value.

  It also changes the 'Type' attribute to `TYPE_BOOLEAN`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsBooleanArray

    public void setValuesAsBooleanArray(boolean[] value)

  Sets the value of the extended data element as an array of boolean values.

  It also changes the 'Type' attribute to `TYPE_BOOLEAN_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsBoolean

    public boolean getValuesAsBoolean()

  Returns the value of the extended data element cast as a boolean value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_BOOLEAN`.

### getValuesAsBooleanArray

    public boolean[] getValuesAsBooleanArray()

  Returns the values of the extended data element cast as boolean values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_BOOLEAN_ARRAY`.

### setValuesAsDate

    public void setValuesAsDate(java.lang.String value)

  Sets the value of the extended data element as a date time value.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `TYPE_DATE_TIME`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsDateArray

    public void setValuesAsDateArray(java.lang.String[] value)

  Sets the value of the extended data element as an array of date time values.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `TYPE_DATE_TIME_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsDateAsLong

    public void setValuesAsDateAsLong(long value)

  Sets the value of the extended data element as a date/time value.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `TYPE_DATE_TIME`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsDateAsLongArray

    public void setValuesAsDateAsLongArray(long[] values)

  Sets the value of the extended data element as an array of date/time values.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `TYPE_DATE_TIME_ARRAY`.

  Parameters:
    `values` - the new value for the extended data element.

### getValuesAsDateAsLong

    public long getValuesAsDateAsLong()

  Returns the value of the extended data element cast as a date/time value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_DATE_TIME`.

### getValuesAsDate

    public java.lang.String getValuesAsDate()

  Returns the value of the extended data element cast as a date/time value.

  The value is represented according to the XML schema dateTime definition.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_DATE_TIME`.

### getValuesAsDateAsLongArray

    public long[] getValuesAsDateAsLongArray()

  Returns the values of the extended data element cast as date/time values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_DATE_TIME_ARRAY`.

### getValuesAsDateArray

    public java.lang.String[] getValuesAsDateArray()

  Returns the value of the extended data element cast as a date/time values.

  The values are represented according to the XML schema dateTime definition.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_DATE_TIME_ARRAY`.

### setValuesAsDouble

    public void setValuesAsDouble(double value)

  Sets the value of the extended data element as a double value.

  It also changes the 'Type' attribute to `TYPE_DOUBLE`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsDoubleArray

    public void setValuesAsDoubleArray(double[] value)

  Sets the value of the extended data element as an array of double values.

  It also changes the 'Type' attribute to `TYPE_DOUBLE_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsDouble

    public double getValuesAsDouble()

  Returns the value of the extended data element cast as a double value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_DOUBLE`.

### getValuesAsDoubleArray

    public double[] getValuesAsDoubleArray()

  Returns the values of the extended data element cast as double values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_DOUBLE_ARRAY`.

### setValuesAsFloat

    public void setValuesAsFloat(float value)

  Sets the value of the extended data element as a float value.

  It also changes the 'Type' attribute to `TYPE_FLOAT`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsFloatArray

    public void setValuesAsFloatArray(float[] value)

  Sets the value of the extended data element as an array of float values.

  It also changes the 'Type' attribute to `TYPE_FLOAT_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsFloat

    public float getValuesAsFloat()

  Returns the value of the extended data element cast as a float value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_FLOAT`.

### getValuesAsFloatArray

    public float[] getValuesAsFloatArray()

  Returns the values of the extended data element cast as float values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_FLOAT_ARRAY`.

### setValuesAsInt

    public void setValuesAsInt(int value)

  Sets the value of the extended data element as a int value.

  It also changes the 'Type' attribute to `TYPE_INT`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsIntArray

    public void setValuesAsIntArray(int[] value)

  Sets the value of the extended data element as an array of integer values.

  It also changes the 'Type' attribute to `TYPE_INT_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsInt

    public int getValuesAsInt()

  Returns the value of the extended data element cast as an integer value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_INT`.

### getValuesAsIntArray

    public int[] getValuesAsIntArray()

  Returns the values of the extended data element cast as integer values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_INT_ARRAY`.

### setValuesAsLong

    public void setValuesAsLong(long value)

  Sets the value of the extended data element as a long value.

  It also changes the 'Type' attribute to `TYPE_LONG`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsLongArray

    public void setValuesAsLongArray(long[] value)

  Sets the value of the extended data element as an array of long values.

  It also changes the 'Type' attribute to `TYPE_LONG_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsLong

    public long getValuesAsLong()

  Returns the value of the extended data element cast as a long value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_LONG`.

### getValuesAsLongArray

    public long[] getValuesAsLongArray()

  Returns the values of the extended data element cast as long values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_LONG_ARRAY`.

### setValuesAsShort

    public void setValuesAsShort(short value)

  Sets the value of the extended data element as a short value.

  It also changes the 'Type' attribute to `TYPE_SHORT`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsShortArray

    public void setValuesAsShortArray(short[] value)

  Sets the value of the extended data element as an array of short values.

  It also changes the 'Type' attribute to `TYPE_SHORT_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsShort

    public short getValuesAsShort()

  Returns the value of the extended data element cast as a short value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_SHORT`.

### getValuesAsShortArray

    public short[] getValuesAsShortArray()

  Returns the values of the extended data element cast as short values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_SHORT_ARRAY`.

### setValuesAsString

    public void setValuesAsString(java.lang.String value)

  Sets the value of the extended data element as a string value.

  It also changes the 'Type' attribute to `TYPE_STRING`.

  Parameters:
    `value` - the new value for the extended data element.

### setValuesAsStringArray

    public void setValuesAsStringArray(java.lang.String[] value)

  Sets the value of the extended data element as an array of string values.

  It also changes the 'Type' attribute to `TYPE_STRING_ARRAY`.

  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsString

    public java.lang.String getValuesAsString()

  Returns the value of the extended data element cast as a string value.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_STRING`.

### getValuesAsStringArray

    public java.lang.String[] getValuesAsStringArray()

  Returns the values of the extended data element cast as string values.

  Returns:
    the value of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_STRING_ARRAY`.

### getHexValueAsByteArray

    public byte[] getHexValueAsByteArray()

  Returns the hexValue of the extended data element cast as byte array values.

  Returns:
    the hexValue of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_HEX_BINARY`.

### getHexValueAsCharArray

    public char[] getHexValueAsCharArray()

  Returns the hexValue of the extended data element cast as char array values.

  Returns:
    the hexValue of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `TYPE_HEX_BINARY`.

### setHexValueAsByteArray

    public void setHexValueAsByteArray(byte[] value)

  Sets the hexValue of the extended data element as an array of bytes.

  It also changes the 'Type' attribute to `TYPE_HEX_BINARY`.

  Parameters:
    `value` - the new hexValue for the extended data element.

### setHexValueAsCharArray

    public void setHexValueAsCharArray(char[] value)

  Sets the hexValue of the extended data element as an array of chars.

  It also changes the 'Type' attribute to `TYPE_HEX_BINARY`.

  Parameters:
    `value` - the new hexValue for the extended data element.

### addChild

    public ExtendedDataElement addChild(ExtendedDataElement child)

  Adds a new child `ExtendedDataElement` to this object.

  Returns:
    a reference to the child extended data element added to this object.
  See Also:
    `getChildren()`

### clearChildren

    public void clearChildren()

  Removes all child ExtenedDataElements that this event is referencing

### removeChildren

    public void removeChildren(java.lang.String name)

  Remove a named child extended data element that this event is referencing

  Parameters:
    `name` - the name of the child element to be removed

### addChild

    public ExtendedDataElement addChild(java.lang.String name)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object without any values adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChild

    public ExtendedDataElement addChild(java.lang.String name,
                                        int type,
                                        java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `type` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  Throws:
    `java.lang.IllegalArgumentException` - if the `type` parameter is not one of the constants defined in `ExtendedDataElement.TYPE_<type>_VALUE`

### addChild

    public ExtendedDataElement addChild(java.lang.String name,
                                        int type,
                                        java.lang.String[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `type` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `values` - the array of values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  Throws:
    `java.lang.IllegalArgumentException` - if the `type` parameter is not one of the constants defined in `ExtendedDataElement.TYPE_<type>_VALUE`

### addChild

    public ExtendedDataElement addChild(java.lang.String name,
                                        java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChild

    public ExtendedDataElement addChild(java.lang.String name,
                                        java.lang.String[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `String` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithBooleanArrayValue

    public ExtendedDataElement addChildWithBooleanArrayValue(java.lang.String name,
                                                             boolean[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `boolean` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithBooleanValue

    public ExtendedDataElement addChildWithBooleanValue(java.lang.String name,
                                                        boolean value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithByteArrayValue

    public ExtendedDataElement addChildWithByteArrayValue(java.lang.String name,
                                                          byte[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `byte` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithByteValue

    public ExtendedDataElement addChildWithByteValue(java.lang.String name,
                                                     byte value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithDateArrayValue

    public ExtendedDataElement addChildWithDateArrayValue(java.lang.String name,
                                                          java.lang.String[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  The values correspond to a date time string according to the XML schema dateTime definition.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `String` instances representing the date time values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithDateAsLongValue

    public ExtendedDataElement addChildWithDateAsLongValue(java.lang.String name,
                                                           long value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - number of milliseconds since January 1, 1970 UTC; representing the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithDateValue

    public ExtendedDataElement addChildWithDateValue(java.lang.String name,
                                                     java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  The value corresponds to a date time string according to the XML schema dateTime definition.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - representation of the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithDatesAsLongValue

    public ExtendedDataElement addChildWithDatesAsLongValue(java.lang.String name,
                                                            long[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `long` values for the new extended data element. Each value corresponds to the number of milliseconds since January 1, 1970 UTC.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithDoubleArrayValue

    public ExtendedDataElement addChildWithDoubleArrayValue(java.lang.String name,
                                                            double[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `double` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithDoubleValue

    public ExtendedDataElement addChildWithDoubleValue(java.lang.String name,
                                                       double value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the `double` value that the new `ExtendedDataElement` will contain.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithFloatArrayValue

    public ExtendedDataElement addChildWithFloatArrayValue(java.lang.String name,
                                                           float[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `float/code> values for the new extended data element.`
  Returns:
    a reference to the extended data element added to this object.

### addChildWithFloatValue

    public ExtendedDataElement addChildWithFloatValue(java.lang.String name,
                                                      float value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithIntArrayValue

    public ExtendedDataElement addChildWithIntArrayValue(java.lang.String name,
                                                         int[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `int` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithIntValue

    public ExtendedDataElement addChildWithIntValue(java.lang.String name,
                                                    int value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithLongArrayValue

    public ExtendedDataElement addChildWithLongArrayValue(java.lang.String name,
                                                          long[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `long` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithLongValue

    public ExtendedDataElement addChildWithLongValue(java.lang.String name,
                                                     long value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithShortArrayValue

    public ExtendedDataElement addChildWithShortArrayValue(java.lang.String name,
                                                           short[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `short` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithShortValue

    public ExtendedDataElement addChildWithShortValue(java.lang.String name,
                                                      short value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithHexValue

    public ExtendedDataElement addChildWithHexValue(java.lang.String name,
                                                    java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### addChildWithHexValueAsByteArray

    public ExtendedDataElement addChildWithHexValueAsByteArray(java.lang.String name,
                                                               byte[] value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD